org.apache.commons.compress.harmony.unpack200

## Class SegmentUtils

- java.lang.Object
- - org.apache.commons.compress.harmony.unpack200.SegmentUtils

-     public final class SegmentUtils
      extends Object

  Utility class for unpack200

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `SegmentUtils()`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static int` | `countArgs(String descriptor)`
    `protected static int` | `countArgs(String descriptor, int widthOfLongsAndDoubles)` Count the number of arguments in the descriptor.
    `static int` | `countBit16(int[] flags)`
    `static int` | `countBit16(long[] flags)`
    `static int` | `countBit16(long[][] flags)`
    `static int` | `countInvokeInterfaceArgs(String descriptor)`
    `static int` | `countMatches(long[][] flags, IMatcher matcher)`
    `static int` | `countMatches(long[] flags, IMatcher matcher)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SegmentUtils

          public SegmentUtils()

  - ### Method Detail

    - #### countArgs

          public static int countArgs(String descriptor)

    - #### countArgs

          protected static int countArgs(String descriptor,
                                         int widthOfLongsAndDoubles)

      Count the number of arguments in the descriptor. Each long or double counts as widthOfLongsAndDoubles; all other arguments count as 1.
      Parameters:
        `descriptor` - String for which arguments are counted
        `widthOfLongsAndDoubles` - int increment to apply for longs doubles. This is typically 1 when counting arguments alone, or 2 when counting arguments for invokeinterface.
      Returns:
        integer count

    - #### countBit16

          public static int countBit16(int[] flags)

    - #### countBit16

          public static int countBit16(long[] flags)

    - #### countBit16

          public static int countBit16(long[][] flags)

    - #### countInvokeInterfaceArgs

          public static int countInvokeInterfaceArgs(String descriptor)

    - #### countMatches

          public static int countMatches(long[] flags,
                                         IMatcher matcher)

    - #### countMatches

          public static int countMatches(long[][] flags,
                                         IMatcher matcher)

Copyright © 2002–2022 The Apache Software Foundation. All rights reserved.